AimableDocs
DocsAPI Reference
POST/v1/admin/mcp-servers

Create Mcp Server

Headers

NameTypeRequiredDescription
X-API-KeystringOptional

Request Body

application/jsonRequired
slugstringRequired
display_namestringRequired
descriptionobject
transport_typestringRequired
ssestreamable_httpstdio
auth_typestring
noneapi_keyoauthpassthrough
urlobject
commandobject
command_argsobject
env_varsobject
headersobject
credential_secret_idobject
api_keyobjectAPI key/token — will be encrypted and stored as a secret
oauth_client_idobjectOAuth client ID for servers without dynamic registration
oauth_client_secretobjectOAuth client secret — encrypted and stored for providers that require it (e.g. GitHub)

Request

curl -X POST '/api-proxy/v1/admin/mcp-servers' \
  -H 'Authorization: Bearer <YOUR_TOKEN>' \
  -H 'Content-Type: application/json' \
  -d '{
  "slug": "string",
  "display_name": "string",
  "description": {},
  "transport_type": "sse",
  "auth_type": "api_key",
  "url": {},
  "command": {},
  "command_args": {},
  "env_vars": {},
  "headers": {},
  "credential_secret_id": {},
  "api_key": {},
  "oauth_client_id": {},
  "oauth_client_secret": {}
}'

Response

201(generated)
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "slug": "string",
    "display_name": "string",
    "description": {},
    "transport_type": "string",
    "auth_type": "api_key",
    "icon_url": {},
    "url": {},
    "command": {},
    "status": "string",
    "status_message": {},
    "tool_count": 0,
    "last_discovered_at": {},
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-01T00:00:00Z"
  }
}

Error Responses